package com.ibiz.core.r7rt_org.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.r7rt_org.domain.Org;
import com.ibiz.core.r7rt_org.filter.OrgSearchContext;

/**
 * 实体[Org] 服务对象接口
 */

public interface IOrgService{
     Org getDraft(Org org) ;
     Org getOrgPrent(Org org) ;
     boolean remove(String orgId) ;
     boolean update(Org org) ;
     Org get(String orgId) ;
     Org get(Org org) ;
     boolean create(Org org) ;
     boolean save(Org org) ;
     Org syncToUserGroup(Org org) ;
     boolean checkKey(Org org) ;
     Org getOrgChild(Org org) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<Org> searchDefault(OrgSearchContext context) ;

    /**
     * 根据组织查询
     */
     Page<Org> selectByPOrg(String orgid) ;
     List<Org> selectByPOrg2(String orgid);

}
